Bug 1876810 - Rebase CSI snapshot images
Summary: Rebase CSI snapshot images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 08:46 UTC by Jan Safranek
Modified: 2020-10-27 16:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:38:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-csi-snapshot-controller-operator pull 51 0 None closed Bug 1876810: Bump external-snapshotter to v3.0.0 2020-11-03 16:52:11 UTC
Github openshift csi-external-snapshotter pull 28 0 None closed Bug 1876810: Rebase v3.0.0 2020-11-03 16:51:53 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:38:41 UTC

Description Jan Safranek 2020-09-08 08:46:56 UTC
We need to rebase external-snapshotter CSI sidecar and snapshot-controller for 4.6. There was substantial development upstream and we're still waiting for the final release.

Among others, don't forget to close these bugs, fixed by the rebase:
https://bugzilla.redhat.com/show_bug.cgi?id=1855645
https://bugzilla.redhat.com/show_bug.cgi?id=1855646

Comment 3 Wei Duan 2020-09-25 11:22:16 UTC
Performed test run https://polarion.engineering.redhat.com/polarion/#/project/OSE/testrun?id=20200925-0053
Only one case failed with known issue, others are all passed.

For he other 4 mentioned bugs, one was verified and other 3 will change the status when they changed to ON_QA.

Change the status to "VERIFIED"

Comment 6 errata-xmlrpc 2020-10-27 16:38:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.